/* --- RESET ------------------------------ */

*, *::before, *::after {
    box-sizing: border-box;
}

* {
    margin: 0;
    padding: 0;
    font: inherit;
}

html {
    color-scheme: dark light;
}

body {
    min-height: 100vh;
}

/* make these elements responsive */
img, picture, svg, video {
    display: block;
    max-width: 100%;
}

/* --- END RESET -------------------- */

:root {
    --primary-color: #ff6600;
}

html {
    line-height: 1.6;
    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 16px;
    scroll-behavior: smooth;
}

.wrapper {
    max-width: 900px;
    margin-inline: auto;
    padding: 40px 20px 20px 20px;
    min-height: 50vh;
}

.h2 {
    font-size: 2.2rem;
    font-weight: 700;
    padding-bottom: 10px;
}

h2 span {
    color: var(--primary-color);
}



/*--- HERO SECTION ----------------------------------------*/
.hero {
    background-color: var(--primary-color);
    background: linear-gradient(rgba(255, 102, 0, 0.85), rgba(255, 102, 0, 0.85)), url(../img/background/hero_bg.avif);
    background-position: center;
    background-size: cover;

    display: flex;
    align-items: center;
    justify-content: center;

    padding: 80px;
}

.hero img {
    height: 100px;
    min-width: 80px;
}

.hero h1 {
    color: #ffffff;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: clamp(3rem, 10vw, 4rem);
}

/*--- ABOUT SECTION ----------------------------------------*/

.about {
    font-size: clamp(1.4rem, 4vw, 1.6rem);
    /* font-size: 1.4rem; */
}

.about-content-desc {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}

.about-content-desc  img {
    height: clamp(160px, 25vw, 200px);
}

.about-content-desc p:nth-of-type(2), .about-content-desc p:nth-of-type(3) {
    padding-bottom: 2rem;
}

.about-text a {
    background-color: var(--primary-color);
    border-radius: 5px;
    padding: 2px;
    color: #000000;
    text-decoration: none;
}

.about-text a:hover {
    color: #ffffff;
}

.tech-logos {
    display:flex;
   
    flex-wrap: wrap;
    gap:25px;
}

.tech-logos img{
    height: 40px;
}

/*--- PROJECTS SECTION ----------------------------------------*/
.projects img {
    height: 80px;
    margin: 0 auto 2rem auto;
}

.projects-content {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
    flex-direction: column; 
}

.project-card { 
    background: teal;
    border-radius: 5px;
    height: 200px;
    width: 100%;
    position: relative;
    overflow: hidden;
    transition: 0.5s ease;
}

.project-card:first-of-type {
    background-color: #015A91;
}

.project-card:nth-of-type(2) {
    background-color: #00771F;
}

.project-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.4;
    position: absolute;
    transition: 0.5s ease;
}

.project-card-top, .project-card-bottom {
    display: flex;
    filter: drop-shadow(2px 4px 6px black);
    flex-direction: column;
    height: 200px;
    text-align: center;
    transition:0.5s ease;
}

.project-card-top { 
    justify-content: center;
}

.project-card-bottom {
    justify-content: space-evenly;
}

.project-card p {
    font-size: 1.4rem;
    color: white;
    z-index: 1;
    position: relative;
    /* background-color: rgba(0, 0, 0, 0.5); */
}

.project-card-bottom a {
    /* background: rgba(0, 0, 0, 0.5); */
    color: #ffffff;
    border: 2px solid #ffffff;
    border-radius: 1008px;
    font-size: 1.4rem;
    margin-inline: auto;
    text-decoration: none;
    width: 180px;
}

.project-card-bottom a:hover {
    background-color:#000000;
}

.project-card:hover {
    background-color: var(--primary-color);
}

.project-card:hover .project-card-top, .project-card:hover .project-card-bottom {
    transform: translateY(-200px);
}

.project-card:hover img {
    transform: scale(1.2);
}

/*--- PLAYGROUND SECTION ----------------------------------------*/

.playground-content {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
}
.playground-card {
    border: 3px solid var(--primary-color);
    border-radius: 10px;
    font-size: 1.2rem;
    font-family: monospace;
    max-width: 250px;
}

.playground-card .dots, .playground-card p{
    color: var(--primary-color);
    padding: 0 1rem;
    
}

.hr {
    height: 3px;
    width: 100%;
    background: var(--primary-color);
    border:none;
}


.playground-card .title, .playground-card .title span {
    color: var(--primary-color);
    font-weight: 700;
}

.playground-card .text {
    color: #000000;
    font-size: 1rem;
    padding: 1rem;
}

.playground-card .links a {
    color: var(--primary-color);
    text-decoration: underline;
}

.playground-card .links a:hover {
    font-weight: 700;
}




/*--- FOOTER ----------------------------------------*/
footer {
    background-color: var(--primary-color);
    color: #ffffff;
    display: flex; 
    justify-content: center;
}

footer div {
    padding: 10px 0;
}


/*--- RESPONSIVE SECTION ----------------------------------------*/
@media (min-width: 40em) {
    .hero {
        padding: 100px;
    }

    .about-content-desc {
        flex-direction: row;
        justify-content: space-between;
        gap: 4rem;
    }

    .about-content-desc  img {
        order: 2;
    }

    .projects-content {
        flex-direction: row;
        justify-content: space-between;
        
    }

    .project-card {
        flex-basis: calc(50% - 0.5rem);

    }
}